from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCommandInfoChangeNotifier(XInterface, Protocol):
    def addCommandInfoChangeListener(self, Listener: XCommandInfoChangeListener) -> None: ...
    def removeCommandInfoChangeListener(self, Listener: XCommandInfoChangeListener) -> None: ...
